Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Class HtmlStatisticsLogger

    java.lang.Object
      biouml.plugins.sbml._test.DefaultTestLogger
          biouml.plugins.sbml._test.HtmlStatisticsLogger

All Implemented Interfaces:
  TestLogger

public class HtmlStatisticsLogger
extends DefaultTestLogger

Field Summary
`protected java.util.List` | `categories`
`protected java.util.Map` | `category2tests`
`protected static java.lang.String` | `endl`
`protected java.util.Map` | `statusMap`
`protected java.util.List` | `testDescriptions`
`protected java.io.Writer` | `writer`

Fields inherited from class biouml.plugins.sbml._test.DefaultTestLogger
`currentCategory, currentTest, errorNumber, exception, log, MAX_ERROR_NUMBER, MAX_WARNING_NUMBER, messages, simCompleted, simStarted, status, warningNumber`

Constructor Summary
`HtmlStatisticsLogger(java.lang.String title, java.util.List categories, java.io.Writer writer)`

Method Summary
`void` | `complete()`
`java.lang.String` | `getDetailsDir()`
`java.lang.String` | `getHtmlLinksPrefix()`
`java.lang.String` | `getSbmlLevel()`
`java.lang.String` | `getScriptName()`
`java.lang.String` | `getSimulationEngineName()`
`SimulationResult` | `getSimulationResult()`
`java.lang.String` | `getTestDir()`
`protected long` | `initStatusMap(java.util.Iterator i, java.util.Map testMap)`
`protected void` | `put(int status, java.lang.String columnTitle, boolean showColumn, java.lang.String statusTitle, java.lang.String description)`
`java.lang.String` | `readFile(java.lang.String fileName)`
`void` | `setDetailsDir(java.lang.String detailsDir)`
`void` | `setHtmlLinksPrefix(java.lang.String htmlLinksPrefix)`
`void` | `setSbmlLevel(java.lang.String sbmlLevel)`
`void` | `setScriptName(java.lang.String scriptName)`
`void` | `setSimulationEngineName(java.lang.String simulationEngineName)`
`void` | `setSimulationResult(SimulationResult simulationResult)`
`void` | `setTestDir(java.lang.String testDir)`
`java.lang.String` | `stripTestName(java.lang.String fullTestName)`
`java.lang.String` | `substring(java.lang.String source, java.lang.String start, java.lang.String end)`
`void` | `testCompleted()`
`protected java.lang.String` | `writeModelDescription(java.io.PrintWriter out, java.lang.String testURL)`
`protected void` | `writeSimulationResultTable(java.io.PrintWriter out, java.lang.String testURL)`
`protected void` | `writeStatusHeader(java.io.PrintWriter out)`
`protected void` | `writeStatusValues(java.io.PrintWriter out)`

Methods inherited from class biouml.plugins.sbml._test.DefaultTestLogger
`categoryStarted, error, error, getCurrentCategory, getCurrentTest, getException, getMessages, getSimulationTime, getStatus, simulationCompleted, simulationStarted, testStarted, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### endl

    protected static java.lang.String endl

### categories

    protected java.util.List categories

### testDescriptions

    protected java.util.List testDescriptions

### category2tests

    protected java.util.Map category2tests

### writer

    protected java.io.Writer writer

### statusMap

    protected java.util.Map statusMap

Constructor Detail

### HtmlStatisticsLogger

    public HtmlStatisticsLogger(java.lang.String title,
                                java.util.List categories,
                                java.io.Writer writer)

Method Detail

### getSimulationEngineName

    public java.lang.String getSimulationEngineName()

### setSimulationEngineName

    public void setSimulationEngineName(java.lang.String simulationEngineName)

### getHtmlLinksPrefix

    public java.lang.String getHtmlLinksPrefix()

### setHtmlLinksPrefix

    public void setHtmlLinksPrefix(java.lang.String htmlLinksPrefix)

### getTestDir

    public java.lang.String getTestDir()

### setTestDir

    public void setTestDir(java.lang.String testDir)

### getDetailsDir

    public java.lang.String getDetailsDir()

### setDetailsDir

    public void setDetailsDir(java.lang.String detailsDir)

### getSimulationResult

    public SimulationResult getSimulationResult()

### setSimulationResult

    public void setSimulationResult(SimulationResult simulationResult)

### getScriptName

    public java.lang.String getScriptName()

### setScriptName

    public void setScriptName(java.lang.String scriptName)

### getSbmlLevel

    public java.lang.String getSbmlLevel()

### setSbmlLevel

    public void setSbmlLevel(java.lang.String sbmlLevel)

### testCompleted

    public void testCompleted()

  Specified by:
    `testCompleted` in interface `TestLogger`
  Overrides:
    `testCompleted` in class `DefaultTestLogger`

### complete

    public void complete()

  Specified by:
    `complete` in interface `TestLogger`
  Overrides:
    `complete` in class `DefaultTestLogger`

### put

    protected void put(int status,
                       java.lang.String columnTitle,
                       boolean showColumn,
                       java.lang.String statusTitle,
                       java.lang.String description)

### initStatusMap

    protected long initStatusMap(java.util.Iterator i,
                                 java.util.Map testMap)

### writeStatusHeader

    protected void writeStatusHeader(java.io.PrintWriter out)

### writeStatusValues

    protected void writeStatusValues(java.io.PrintWriter out)

### writeModelDescription

    protected java.lang.String writeModelDescription(java.io.PrintWriter out,
                                                     java.lang.String testURL)

### writeSimulationResultTable

    protected void writeSimulationResultTable(java.io.PrintWriter out,
                                              java.lang.String testURL)

### stripTestName

    public java.lang.String stripTestName(java.lang.String fullTestName)

### readFile

    public java.lang.String readFile(java.lang.String fileName)

### substring

    public java.lang.String substring(java.lang.String source,
                                      java.lang.String start,
                                      java.lang.String end)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.